libnjb 2.2.7

Data Fields
njb_error_stack_struct Struct Reference

`#include <njb_error.h>`

## Data Fields
int | idx
int | count
char ** | msg

## Detailed Description

This struct holds an error stack for each NJB object.

## Field Documentation

## ◆ count

int njb_error_stack_struct::count

Number of errors currently on the stack

Referenced by NJB_Error_Geterror(), and NJB_Error_Pending().

## ◆ idx

int njb_error_stack_struct::idx

Current index into the error stack

Referenced by NJB_Error_Geterror(), and NJB_Error_Reset_Geterror().

## ◆ msg

char** njb_error_stack_struct::msg

An array of error message strings

Referenced by NJB_Error_Geterror().

The documentation for this struct was generated from the following file:

- /tmp/libnjb-2.2.7/src/njb_error.h